Chuyển đến nội dung
Diễn đàn CADViet
Đăng nhập để thực hiện theo  
banhdau

em đang cần lisp fillet

Các bài được khuyến nghị

có bác nào có cái lisp để go~ nhanh bán kính fillet k ạ. tức là chỉ cần gõ FR thay vì gõ f-->space--> r. thanks

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
có bác nào có cái lisp để go~ nhanh bán kính fillet k ạ. tức là chỉ cần gõ FR thay vì gõ f-->space--> r. thanks

Sử dụng lệnh FILLETRAD tại dòng Command:

 

Command: filletrad

 

Enter new value for FILLETRAD : 50

 

Bạn thiết lập phím tắt FR cho biến FILLETRAD trong file acad.pgp là được.

 

Command: fr fillet

Current settings: Mode = TRIM, Radius = 50.0000

Select first object or [Polyline/Radius/Trim/mUltiple]: r Specify fillet radius

: nil

Specify fillet radius : 0

 

Select first object or [Polyline/Radius/Trim/mUltiple]:

Select second object:

  • Vote tăng 2

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

cảm ơn bạn,nhưng làm cách đấy chỉ thay đổi đc bán kính fillet mà muốn fillet vẫn phải nhập lệnh F, ý em là có thể ấn FR(vi' du),nhập bán kính rồi fillet luôn. thao tác kia lại thêm 1 lệnh nữa,đúng k ạ

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
cảm ơn bạn,nhưng làm cách đấy chỉ thay đổi đc bán kính fillet mà muốn fillet vẫn phải nhập lệnh F, ý em là có thể ấn FR(vi' du),nhập bán kính rồi fillet luôn. thao tác kia lại thêm 1 lệnh nữa,đúng k ạ

Không đúng đâu.

 

Khi Bạn thiết lập phím tắt FR cho biến FILLETRAD trong file acad.pgp thì chỉ sử dụng chỉ 1 thao tác là đánh lệnh FR sau đó khai bán kính, kích 2 cạnh cần fillet là OK.

Bạn hãy cứ thử xem.

Lệnh FR mà mình thử đây này :

 

Command: fr fillet

Current settings: Mode = TRIM, Radius = 50.0000

Select first object or [Polyline/Radius/Trim/mUltiple]: r Specify fillet radius

: nil

Specify fillet radius : 0

 

Select first object or [Polyline/Radius/Trim/mUltiple]:

Select second object:

Chúc thành công.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Bạn dùng dòng lệnh như sau thì có thể fillet và trim các đối tượng luôn:

 

(defun c:fr () (initget 6) (command "fillet" "u" "t" "t" "r" "p"))

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Bạn thường sử dụng bán kính bao nhiêu?

Bạn thử cái này nhé:

 

(defun C: FR ()

(command "fillet" "r" (getreal " Nhap ban kinh fillet : "))

)

Chúc bạn thành công.

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay

Đăng nhập để thực hiện theo  

×